Bug 726143 - [RV730] KMS failure in EFI mode (iMac11,2 1.0 with ATI "9488" (HD 4670?))
[RV730] KMS failure in EFI mode (iMac11,2 1.0 with ATI "9488" (HD 4670?))
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
[cat:modesetting]
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-27 12:38 EDT by Mads Kiilerich
Modified: 2015-02-18 08:36 EST (History)
9 users (show)

See Also:
Fixed In Version: kernel-3.3.4-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:36:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg with drm.debug=14 log_buf_len=16M (121.10 KB, text/plain)
2011-07-27 12:38 EDT, Mads Kiilerich
no flags Details
Xorg.0.log with nomodeset and fbdev (20.41 KB, text/plain)
2011-07-27 12:40 EDT, Mads Kiilerich
no flags Details
dmesg without debug (106.99 KB, text/plain)
2011-07-28 05:45 EDT, Mads Kiilerich
no flags Details
/var/log/Xorg.0.log (33.67 KB, text/plain)
2011-07-28 05:46 EDT, Mads Kiilerich
no flags Details
/var/log/Xorg.0.log (24.42 KB, text/plain)
2011-07-28 05:58 EDT, Mads Kiilerich
no flags Details
bios.rom (108.00 KB, text/plain)
2011-07-28 09:46 EDT, Mads Kiilerich
no flags Details
dmesg from 3.1.0-0.rc5.git0.0.fc16.x86_64 (105.46 KB, text/plain)
2011-09-09 12:22 EDT, Mads Kiilerich
no flags Details
Xorg.0.log from 3.1.0-0.rc5.git0.0.fc16.x86_64 (32.38 KB, text/plain)
2011-09-09 12:23 EDT, Mads Kiilerich
no flags Details
smolt, dmesg and X log with 3.3.2-6.fc16.x86_64 drm.debug=14 (245.65 KB, text/plain)
2012-05-01 08:14 EDT, Mads Kiilerich
no flags Details
smolt info, dmesg and X log with 3.4.2-1.fc16.x86_64 (152.79 KB, text/plain)
2012-06-19 09:16 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2011-07-27 12:38:10 EDT
Created attachment 515557 [details]
dmesg with drm.debug=14 log_buf_len=16M

Description of problem:
X works when booting with nomodeset and xorg.conf specifies fbdev.
KMS (no nomodeset) gives a black display.


Version-Release number of selected component (if applicable):
kernel-3.0.0-1.fc16.x86_64


Expected results:
Working KMS would be perfect, but fallback to no KMS would be an improvement.


Additional info:
http://www.smolts.org/client/show/pub_65553f8d-4168-44cc-a5de-8b98df90fc2c

EFI booting with grub2 and efi_gop - the same issue might exist in pc/bios mode.
Comment 1 Mads Kiilerich 2011-07-27 12:40:11 EDT
Created attachment 515558 [details]
Xorg.0.log with nomodeset and fbdev
Comment 2 Jerome Glisse 2011-07-27 16:58:31 EDT
please attach kernel log (dmesg) + Xorg log when booting without the nomodeset option
Comment 3 Mads Kiilerich 2011-07-27 18:31:25 EDT
I already attached dmesg without nomodeset - and with drm.debug=14. Isn't that good enough?

KMS fails completely and blanks the screen and gives no output at all. AFAICT because it can't find a suitable connector (=display/modesetting?). AFAIK X in KMS mode thus doesn't have chance - and the X log didn't show anything interesting because it bailed out early. Do you want it anyway? Ok - I will get it tomorrow.
Comment 4 Mads Kiilerich 2011-07-28 05:45:10 EDT
Created attachment 515670 [details]
dmesg without debug
Comment 5 Mads Kiilerich 2011-07-28 05:46:10 EDT
Created attachment 515671 [details]
/var/log/Xorg.0.log
Comment 6 Mads Kiilerich 2011-07-28 05:48:35 EDT
First dmesg line that indicates an error is:
fb: conflicting fb hw usage radeondrmfb vs EFI VGA - removing generic driver
Comment 7 Mads Kiilerich 2011-07-28 05:58:01 EDT
Created attachment 515672 [details]
/var/log/Xorg.0.log
Comment 8 Jerome Glisse 2011-07-28 09:32:30 EDT
Likely display port issue with kms. Please attach your video bios:

cd /sys/bus/pci/devices/0000:01:00.0
sudo sh -c "echo 1 > rom"
sudo sh -c "cat rom > ~/bios.rom"
Comment 9 Mads Kiilerich 2011-07-28 09:46:09 EDT
Created attachment 515724 [details]
bios.rom
Comment 10 Mads Kiilerich 2011-08-12 16:15:16 EDT
See also Bug 726337 for similar issue in BIOS mode.
Comment 11 Mads Kiilerich 2011-08-12 16:31:47 EDT
mjg59 points out that http://www.spinics.net/lists/dri-devel/msg13435.html should fix this issue.
Comment 12 Mads Kiilerich 2011-09-09 12:22:25 EDT
Created attachment 522363 [details]
dmesg from 3.1.0-0.rc5.git0.0.fc16.x86_64

kernel-3.1.0-0.rc5.git0.0.fc16.x86_64 seems to work slightly better - but still nothing on the display:

[    3.903413] [drm] Initialized drm 1.1.0 20060810
[    3.922150] [drm] radeon defaulting to kernel modesetting.
[    3.922153] [drm] radeon kernel modesetting enabled.
[    3.922559] radeon 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    3.922568] radeon 0000:01:00.0: setting latency timer to 64
[    3.933585] [drm] initializing kernel modesetting (RV730 0x1002:0x9488 0x106B:0x00B6).
[    3.933695] [drm] register mmio base: 0xD0420000
[    3.933697] [drm] register mmio size: 65536
[    5.079055] [drm] GPU not posted. posting now...
[    5.082537] radeon 0000:01:00.0: VRAM: 256M 0x0000000000000000 - 0x000000000FFFFFFF (256M used)
[    5.082544] radeon 0000:01:00.0: GTT: 512M 0x0000000010000000 - 0x000000002FFFFFFF
[    5.083891] [drm] Detected VRAM RAM=256M, BAR=256M
[    5.083894] [drm] RAM width 128bits DDR
[    5.085470] [TTM] Zone  kernel: Available graphics memory: 4072156 kiB.
[    5.085475] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB.
[    5.085479] [TTM] Initializing pool allocator.
[    5.087042] [drm] radeon: 256M of VRAM memory ready
[    5.087074] [drm] radeon: 512M of GTT memory ready.
[    5.088012] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    5.088017] [drm] Driver supports precise vblank timestamp query.
[    5.088293] radeon 0000:01:00.0: irq 42 for MSI/MSI-X
[    5.088309] radeon 0000:01:00.0: radeon: using MSI.
[    5.088918] [drm] radeon: irq initialized.
[    5.088976] [drm] GART: num cpu pages 131072, num gpu pages 131072
[    5.090957] [drm] Loading RV730 Microcode
[    5.151297] radeon 0000:01:00.0: WB enabled
[    5.202022] [drm] ring test succeeded in 0 usecs
[    5.204997] [drm] radeon: ib pool ready.
[    5.208190] [drm] ib test succeeded in 0 usecs
[    5.221938] [drm] Radeon Display Connectors
[    5.221942] [drm] Connector 0:
[    5.221943] [drm]   DisplayPort
[    5.221945] [drm]   HPD1
[    5.221948] [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
[    5.221950] [drm]   Encoders:
[    5.221952] [drm]     DFP1: INTERNAL_UNIPHY
[    5.221954] [drm] Connector 1:
[    5.221956] [drm]   eDP
[    5.221958] [drm]   HPD2
[    5.221960] [drm]   DDC: 0x7e50 0x7e50 0x7e54 0x7e54 0x7e58 0x7e58 0x7e5c 0x7e5c
[    5.221962] [drm]   Encoders:
[    5.221964] [drm]     LCD1: INTERNAL_UNIPHY
[    5.221966] [drm] Connector 2:
[    5.221967] [drm]   VGA
[    5.221970] [drm]   DDC: 0x7f10 0x7f10 0x7f14 0x7f14 0x7f18 0x7f18 0x7f1c 0x7f1c
[    5.221971] [drm]   Encoders:
[    5.221973] [drm]     CRT2: INTERNAL_KLDSCP_DAC2
[    5.341604] [drm] Radeon display connector DP-1: No monitor connected or invalid EDID
[    5.461337] [drm] Radeon display connector eDP-1: No monitor connected or invalid EDID
[    5.471082] [drm] Radeon display connector VGA-1: No monitor connected or invalid EDID
[    5.471102] [drm] Special thermal controller config
[    5.471275] [drm] radeon: power management initialized
[    5.559034] [drm] fb mappable at 0xC0142000
[    5.559036] [drm] vram apper at 0xC0000000
[    5.559038] [drm] size 8294400
[    5.559039] [drm] fb depth is 24
[    5.559040] [drm]    pitch is 7680
[    5.978739] Console: switching to colour frame buffer device 240x67
[    5.993191] fb0: radeondrmfb frame buffer device
[    5.993196] drm: registered panic notifier
[    5.993311] [drm] Initialized radeon 2.11.0 20080528 for 0000:01:00.0 on minor 0

X show plenty of invalids:
[    27.905] (==) FBDEV(0): Backing store disabled
[    27.909] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[    27.909] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
Comment 13 Mads Kiilerich 2011-09-09 12:23:43 EDT
Created attachment 522364 [details]
Xorg.0.log from 3.1.0-0.rc5.git0.0.fc16.x86_64
Comment 14 Mads Kiilerich 2011-11-10 13:39:07 EST
Same behaviour with 3.1.0-7.fc16.x86_64, but a couple of new messages:
 [drm:radeon_dp_i2c_aux_ch] *ERROR* aux i2c too many retries, giving up
 [drm:radeon_dp_i2c_aux_ch] *ERROR* aux i2c too many retries, giving up
Comment 15 Mads Kiilerich 2012-03-12 12:43:29 EDT
Still failing with F16 with 3.2.9-1.fc16.x86_64.
Comment 16 Jerome Glisse 2012-04-26 13:43:29 EDT
When you test make sure to disable fbdev in Xorg conf and also attach newer dmesg with drm.debug=14
Comment 17 Mads Kiilerich 2012-05-01 08:14:56 EDT
Created attachment 581356 [details]
smolt, dmesg and X log with 3.3.2-6.fc16.x86_64 drm.debug=14

Attaching smolt, dmesg and X log with 3.3.2-6.fc16.x86_64 drm.debug=14, captured blindly using a custom live USB booted with grub2 2.0 beta4.

(grub2 do not have any font and do not explicitly set gfxmode or gfxpayload and not use gfxterm ... could soemthing in that area make a difference?)
Comment 18 Fedora Update System 2012-05-04 17:56:29 EDT
kernel-3.3.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.4-4.fc17
Comment 19 Fedora Update System 2012-05-04 22:10:04 EDT
Package kernel-3.3.4-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.4-4.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7362/kernel-3.3.4-4.fc17
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-05-08 00:14:22 EDT
kernel-3.3.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Mads Kiilerich 2012-05-09 14:31:44 EDT
Do you have any plans to backport it to f16? I can't test a f17 kernel at the moment.
Comment 22 Mads Kiilerich 2012-06-19 09:16:27 EDT
Created attachment 592944 [details]
smolt info, dmesg and X log with 3.4.2-1.fc16.x86_64

I don't know the nature of the fix, but I would expect that it also should make it work with the 3.4 kernel in f16 ... but it doesn't do that for me.

Logs from custom live usb with EFI and grub2beta6 are attached.
Comment 23 Fedora End Of Life 2013-04-03 15:32:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 24 Fedora End Of Life 2015-01-09 16:51:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2015-02-18 08:36:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.